---
features:
  secondary:
  - name: "SAST analyzer updates"
    available_in: [core, premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/sast/analyzers'
    reporter: connorgilbert
    stage: application_security_testing
    categories:
    - SAST
    issue_url: 'https://docs.gitlab.com/ee/user/application_security/#vulnerability-scanner-maintenance'  # This is a link to our update policy because the release issue (https://gitlab.com/gitlab-org/security-products/release/-/issues/140) is not publicly accessible.
    description: |
      GitLab SAST includes [many security analyzers](https://docs.gitlab.com/ee/user/application_security/sast/#supported-languages-and-frameworks) that the GitLab Static Analysis team actively maintains, updates, and supports. We published the following updates during the 16.4 release milestone:

      - Updated the KICS-based analyzer to version 1.7.7 of the KICS scanner. See the [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/kics/-/blob/main/CHANGELOG.md?ref_type=heads#v415) for further details.
      - Updated the Sobelow-based analyzer to version 0.13.0 of the Sobelow scanner. We also updated the base image for the analyzer to Elixir 1.13 to improve compatibility with more recent Elixir releases. See the [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/sobelow/-/blob/master/CHANGELOG.md?ref_type=heads#v421)
      - Updated the PMD Apex-based analyzer to version 6.55.0 of the PMD scanner. See the [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/pmd-apex/-/blob/master/CHANGELOG.md?ref_type=heads#v413) for further details.
      - Changed the PHPCS Security Audit-based analyzer to remove the `Security.Misc.IncludeMismatch` rule. See the [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/phpcs-security-audit/-/blob/master/CHANGELOG.md?ref_type=heads#v411) for further details.
      - Updated the rules used in the Semgrep-based analyzer to fix rule errors, fix broken links in rule descriptions, and resolve conflicts between Java and Scala rules that had the same rule IDs. We also increased the maximum size of custom rule files to 10 MB. See the [CHANGELOG](https://gitlab.com/gitlab-org/security-products/analyzers/semgrep/-/blob/main/CHANGELOG.md?ref_type=heads#v4412) for further details.

      If you [include the GitLab-managed SAST template](https://docs.gitlab.com/ee/user/application_security/sast/#configure-sast-in-your-cicd-yaml) ([`SAST.gitlab-ci.yml`](https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Security/SAST.gitlab-ci.yml)) and run GitLab 16.0 or higher, you automatically receive these updates.
      To remain on a specific version of any analyzer and prevent automatic updates, you can [pin its version](https://docs.gitlab.com/ee/user/application_security/sast/#pinning-to-minor-image-version).

      For previous changes, see [last month's updates](https://about.gitlab.com/releases/2023/08/22/gitlab-16-3-released/#sast-analyzer-updates).
